> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Standalone VM Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json delete /api/v1/clusters/digitalocean/{cluster_id}/vms/{vm_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/vms/{vm_id}:
    delete:
      tags:
        - DigitalOcean Cluster API
      summary: Delete Standalone VM Endpoint
      operationId: >-
        delete_standalone_vm_endpoint_api_v1_clusters_digitalocean__cluster_id__vms__vm_id__delete
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: path
          name: vm_id
          required: true
          schema:
            format: uuid
            title: Vm Id
            type: string
        - in: query
          name: wait
          required: false
          schema:
            default: false
            title: Wait
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/RemoveStandaloneVMResult'
                  - $ref: '#/components/schemas/AsyncWriteAcceptedResponse'
                title: >-
                  Response Delete Standalone VM Endpoint Api V1 Clusters
                  Digitalocean  Cluster Id  Standalone VMs  Vm Id  Delete
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Conflicting or unsafe lifecycle state
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    RemoveStandaloneVMResult:
      properties:
        id:
          format: uuid
          type: string
          title: Id
        name:
          title: Name
          type: string
        operation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Operation Id
      required:
        - id
        - name
        - operation_id
      title: RemoveStandaloneVMResult
      type: object
    AsyncWriteAcceptedResponse:
      properties:
        status:
          default: accepted
          title: Status
          type: string
      title: AsyncWriteAcceptedResponse
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````